Index: tests/GuiChecks/Selection/Molecules/MoleculeByFormula/testsuite-selection-unselect-molecules-by-formula.at
===================================================================
--- tests/GuiChecks/Selection/Molecules/MoleculeByFormula/testsuite-selection-unselect-molecules-by-formula.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Selection/Molecules/MoleculeByFormula/testsuite-selection-unselect-molecules-by-formula.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,127 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### 3. (un)select molecules by formula
+
+
+AT_SETUP([Unselection - Molecule by formula])
+AT_KEYWORDS([unselection molecule unselect-molecules-by-formula])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=water_missing.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-all-molecules --unselect-molecules-by-formula H2O -s $targetfile --no-dry-run --store-session session-selection-unselect-molecules-by-formula.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-molecules-by-formula.py >session-selection-unselect-molecules-by-formula_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-molecules-by-formula_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=ethanol_missing.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-all-molecules --unselect-molecules-by-formula "C2H5(OH)" -s $targetfile --no-dry-run --store-session session-selection-unselect-molecules-by-formula.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-molecules-by-formula.py >session-selection-unselect-molecules-by-formula_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-molecules-by-formula_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=benzene_missing.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-all-molecules --unselect-molecules-by-formula C6H6 -s $targetfile --no-dry-run --store-session session-selection-unselect-molecules-by-formula.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-molecules-by-formula.py >session-selection-unselect-molecules-by-formula_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-molecules-by-formula_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - Molecule by formula with Undo])
+AT_KEYWORDS([unselection molecule unselect-molecules-by-formula undo])
+
+comparisonfile=mix.xyz
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=mix1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-all-molecules --unselect-molecules-by-formula H2O --undo -s $targetfile --no-dry-run --store-session session-selection-unselect-molecules-by-formula.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-molecules-by-formula.py >session-selection-unselect-molecules-by-formula_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-molecules-by-formula_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$comparisonfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=mix2.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-all-molecules --unselect-molecules-by-formula "C2H5(OH)" --undo -s $targetfile --no-dry-run --store-session session-selection-unselect-molecules-by-formula.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-molecules-by-formula.py >session-selection-unselect-molecules-by-formula_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-molecules-by-formula_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$comparisonfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=mix3.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-all-molecules --unselect-molecules-by-formula C6H6 --undo -s $targetfile --no-dry-run --store-session session-selection-unselect-molecules-by-formula.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-molecules-by-formula.py >session-selection-unselect-molecules-by-formula_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-molecules-by-formula_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$comparisonfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - Molecule by formula with Redo])
+AT_KEYWORDS([unselection molecule unselect-molecules-by-formula redo])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=water_missing.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-all-molecules --unselect-molecules-by-formula H2O --undo --redo -s $targetfile --no-dry-run --store-session session-selection-unselect-molecules-by-formula.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-molecules-by-formula.py >session-selection-unselect-molecules-by-formula_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-molecules-by-formula_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=ethanol_missing.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-all-molecules --unselect-molecules-by-formula "C2H5(OH)" --undo --redo -s $targetfile --no-dry-run --store-session session-selection-unselect-molecules-by-formula.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-molecules-by-formula.py >session-selection-unselect-molecules-by-formula_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-molecules-by-formula_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByFormula"
+srcfile=mix.xyz
+testfile=test.xyz
+targetfile=benzene_missing.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-all-molecules --unselect-molecules-by-formula C6H6 --undo --redo -s $targetfile --no-dry-run --store-session session-selection-unselect-molecules-by-formula.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-molecules-by-formula.py >session-selection-unselect-molecules-by-formula_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-molecules-by-formula_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
